{% extends 'base.html' %}
{% load static %}

{% block body %}
<div class="container">
    <!-- Tus Subastas -->    
    <div class="row" >
        <div class="col-12 col-md-6">
            <h3>Subastas</h3>
        </div>
        <div class="col-12 col-md-6 text-md-right">
            <a href="{% url 'index' %}" class="btn btn-success">Volver</a>
        </div>
    </div>
    <div class="row" style="margin-bottom:10px;">
        <div class="col-12">
            <div style="height: 8px;"></div>
            <ul class="nav nav-tabs">
                <li class="nav-item">
                    <a class="nav-link {% if activas %}active{% endif %}" href="{% url 'ejecutivo_subastas' %}">Activas</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link {% if finalizadas %}active{% endif %}"
                        href="{% url 'ejecutivo_subastas' %}?finalizadas">Finalizadas</a>
                </li>
            </ul>
        </div>
    </div>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    {% if page %}
                    <table class="table table-responsive-sm">
                        <tr>
                            <th>Subasta #</th>
                            <th>Pedido #</th>
                            <th>Fecha inicio</th>
                            <th>Fecha termino</th>
                            <th>Estado</th>
                            <th>Oferta actual (min)</th>
                            <th>Acciones</th>
                        </tr>
                        {% for s in page.object_list reversed %}
                        <tr>
                            <td>{{s.Id}}</td>
                            <td>{{s.IdPedido}}</td>
                            <td>{{s.FechaInicio}}</td>
                            <td>{{s.FechaTermino}}</td>
                            <td>{{s.Estado.Nombre}}</td>
                            <td>US$ {{s.LowestBid.Precio}}</td>
                            <td><a href="{% url 'ejecutivo_subasta' id_subasta=s.Id %}" class="btn btn-sm btn-success">
                                Ver detalle
                            </a></td>

                        </tr>
                        {% endfor %}
                    </table>

                    {% else %}
                        {% if finalizadas %}
                            <h4>Actualmente no posees ninguna subasta finalizada.</h4>
                        {% else %}
                        
                            <h4>Actualmente no hay ninguna subasta activa.</h4>
                    {% endif %}
                    {% endif %}
                </div>
            </div>
        </div>
    </div>




</div>
{% endblock %}